org.jbpm.executor

## Class AsyncJobException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jbpm.executor.AsyncJobException

- All Implemented Interfaces:
    Serializable

      public class AsyncJobException
      extends RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncJobException(Long jobId, String commandName, String message)`
    `AsyncJobException(Long jobId, String commandName, String message, Throwable cause)`
    `AsyncJobException(Long jobId, String commandName, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommandName()`
    `Long` | `getJobId()`
    `void` | `setCommandName(String commandName)`
    `void` | `setJobId(Long jobId)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncJobException

          public AsyncJobException(Long jobId,
                                   String commandName,
                                   String message,
                                   Throwable cause)

    - #### AsyncJobException

          public AsyncJobException(Long jobId,
                                   String commandName,
                                   String message)

    - #### AsyncJobException

          public AsyncJobException(Long jobId,
                                   String commandName,
                                   Throwable cause)

  - ### Method Detail

    - #### getJobId

          public Long getJobId()

    - #### setJobId

          public void setJobId(Long jobId)

    - #### getCommandName

          public String getCommandName()

    - #### setCommandName

          public void setCommandName(String commandName)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.